#include <stdlib.h>

void * mymalloc(int a, int line, char * file) 
{
   void * ptr;
   printf("%s:%d: malloc(%d)\n", file, line, a);
   ptr = malloc(a);
   printf("	res %08x\n", ptr);
   return ptr;
}

void myfree(void * a, int line, char * file)
{
   printf("%s:%d: free(%08x)\n", file, line, a);
   free(a);
}

void * myrealloc(void * a, int b, int line, char * file)
{
   void * ptr;
   printf("%s:%d: realloc(%08x, %d)\n", file, line, a, b);
   ptr = realloc(a, b);
   printf("	res %08x\n", ptr);
   return ptr;
}

void * mymemset(void * a, char b, int c, int line, char * file) 
{
   printf("%s:%d: memset(%08x, %x, %d)\n", file, line, a, b, c);
   return memset(a,b,c);
}

void * mymemcpy(void * a, void * b, int c, int line, char * file) 
{
   printf("%s:%d: memcpy(%08x, %08x, %d)\n", file, line, a, b, c);
   return memcpy(a,b,c);
}

void * mymemmove(void * a, void * b, int c, int line, char * file) 
{
   printf("%s:%d: memmove(%08x, %08x, %d)\n", file, line, a, b, c);
   return memmove(a,b,c);
}

char * mystrncpy(char * a, char * b, int c, int line, char * file) 
{
   printf("%s:%d: strncpy(%08x, %08x, %d)\n", file, line, a, b, c);
   return strncpy(a,b,c);
}

char * mystrcpy(char * a, char * b, int line, char * file) 
{
   printf("%s:%d: strcpy(%08x, %08x, %d)\n", file, line, a, b);
   return strcpy(a,b);
}
