/* $Id: bsd-os2.h,v 1.0 2002/05/22 03:08:30 djm Exp $ */

#ifndef _BSD_OS2_H
#define _BSD_OS2_H

#ifdef __OS2__

#include <stdio.h>
#include <termio.h>


int os2_open (const char *name, int oflag, ...);
FILE *os2_fopen (const char *fname, const char *mode);
int binary_pipe(int fd[2]);

/* Override ioctl() to handle TIOC[GS]WINSZ requests */
int tty_ioctl (int handle, int request, void *arg);
/* Query console size */
int tty_getsize (struct winsize *ws);
/* Set up console size */
int tty_setsize (struct winsize *ws);
/* Check if window size changed since last tty_getsize() */
int tty_size_changed ();


/* Get a database entry by user id */
struct passwd *os2_getpwuid (uid_t uid);
/* Get a database entry by user name */
struct passwd *os2_getpwnam (__const__ char *uname);


#define open	os2_open
#define fopen	os2_fopen
#define pipe binary_pipe

#define getpwuid	os2_getpwuid
#define getpwnam	os2_getpwnam

#endif /* __OS2__ */

#endif /* _BSD_OS2_H */
